##### CUT

#### Synopsis

    HELP:   Records with a length greater than the maximum record size are truncated
    TYPE:   NUMBER
    SYNTAX: CUT

#### Description

Truncate output record (z/OS and WINDOWS only).

Records with a record length longer than the maximum record length may be shortened.

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `TRUNCATE=NO/YES`
  - `TRU=NO/YES`
- UNIX
  - see parameter OPTION
- WINDOWS
  - `cut`
  - `truncate` (synonym for cut)
  - `tru`
    Records with a record length longer than the maximum record length may be shortened.
    See also parameter NOCUT.

Values

- z/OS
  - `NO` - No truncation. If records longer than specified occur, decompression is aborted.
  - `YES` - If a decompressed record is longer than specified for the output file, the record is truncated.
- WINDOWS
  - none/no values

Default

- z/OS
  - `TRUNCATE=NO`
- WINDOWS
  - none/no default

Valid for

- decompression